mlfk.net
当前位置:首页 >> struts2.1.8的基本配置jAr包 >>

struts2.1.8的基本配置jAr包

struts2.1.8所必须的jar包如下: commons-fileupload-2.1.8.jar; commons-io-1.3.2.jar; freemarker-2.3.16.jar; javassist-3.7.ga.jar; ognl-3.0.jar; struts2-core-2.1.8.1.jar; xwork-core-2.1.8.1.jar Struts 2是Struts的下一代产品,...

我只有2.2.1的,要的话,速度邮箱我,不然下班了喔

下载地址: http://archive.apache.org/dist/struts/binaries/

看你要什么需求了,最基本的5个包不能少,分别是commons-logging-api-1.1.jar,freemarker-2.3.16.jar,ognl-3.0.jar,struts2-core-2.2.1.1.jar,xwork-core-2.2.1.1.jar 如果需要上传文件就需要commons-fileupload-1.2.1.jar,若要用到json则...

最近刚好给学生讲struts2.3.1.2,请把下面9个jar文件放到WEB-INF\lib下。此配置可以在Eclipse 3.7 + Tomcat 6.0.35下运行正常。 commons-fileupload-1.2.2.jar commons-io-2.0.1.jar commons-lang-2.5.jar commons-logging-1.1.1.jar freemarker...

struts2需要的几个jar包: 1)xwork-core-2.1.6 2)struts2-core-2.1.8 3)ognl-2.7.3 4)freemarker-2.3.15 5)commons-io-1.3.2 6)commons-fileupload-1.2.1 这是最常用的几个包,没有这几个包是不行的 一般只有Struts2这些jar包就够啦

不需要导入什么额外的包吧 使用通配符,关键点有两处,第一:path="/*Subscription",这里使用了*来通配前面的add和edit,第二: ,这里使用{1}来表示*所代表的--也就是说,如果在页面表单里面这样写,那么forward到success的时候,就是forward...

创建Struts2项目,首先必须要加载必要类库,因为Struts版本的不同,需要配置的类库就会有所差别。下面以我下载的Struts2.3.24版本为例,需要添加如下jar包: asm-3.3.jar asm-commons-3.3.jar asm-tree-3.3.jar commons-fileupload-1.3.1.jar 关...

这里面有struts的配置文件struts.xml的,你可以在里面给出的例子中找一下这个文件,或者你直接搜索一下这个文件夹,就可以了。

你这些jar包够了啊,报什么错,再根据提示来加,宁少毋多,多了jar冲突很麻烦的

网站首页 | 网站地图
All rights reserved Powered by www.mlfk.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com